Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.nio
Class ClientConnectionHandler

    java.lang.Object
      org.apache.mina.common.IoHandlerAdapter
          org.jivesoftware.openfire.nio.ConnectionHandler
              org.jivesoftware.openfire.nio.ClientConnectionHandler

All Implemented Interfaces:
  org.apache.mina.common.IoHandler

    public class ClientConnectionHandler

extends ConnectionHandler

ConnectionHandler that knows which subclass of `StanzaHandler` should be created and how to build and configure a `NIOConnection`.

Author:
  Gaston Dombiak

Field Summary

Fields inherited from class org.jivesoftware.openfire.nio.ConnectionHandler
`CONNECTION, HANDLER, serverName`

Constructor Summary
`ClientConnectionHandler(String serverName)`

Method Summary
`void` | `sessionIdle(org.apache.mina.common.IoSession session, org.apache.mina.common.IdleStatus status)` In addition to the functionality provided by the parent class, this method will send XMPP ping requests to the remote entity on every first invocation of this method (which will occur after a period of half the allowed connection idle time has passed, without any IO).

Methods inherited from class org.jivesoftware.openfire.nio.ConnectionHandler
`exceptionCaught, messageReceived, messageSent, sessionClosed, sessionOpened`

Methods inherited from class org.apache.mina.common.IoHandlerAdapter
`sessionCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientConnectionHandler

    public ClientConnectionHandler(String serverName)

Method Detail

### sessionIdle

    public void sessionIdle(org.apache.mina.common.IoSession session,
                            org.apache.mina.common.IdleStatus status)
                     throws Exception

  In addition to the functionality provided by the parent class, this method will send XMPP ping requests to the remote entity on every first invocation of this method (which will occur after a period of half the allowed connection idle time has passed, without any IO). XMPP entities must respond with either an IQ result or an IQ error (feature-unavailable) stanza upon receiving the XMPP ping stanza. Both responses will be received by Openfire and will cause the connection idle count to be reset. Entities that do not respond to the IQ Ping stanzas can be considered dead, and their connection will be closed by the parent class implementation on the second invocation of this method. Note that whitespace pings that are sent by XMPP entities will also cause the connection idle count to be reset.

  Specified by:
    `sessionIdle` in interface `org.apache.mina.common.IoHandler`
  Overrides:
    `sessionIdle` in class `ConnectionHandler`
  Throws:
    `Exception`
  See Also:
    `ConnectionHandler.sessionIdle(IoSession, IdleStatus)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.